import request from '@/utils/request'

// 查询年检登记列表
export function listCheckRegister (query) {
  return request({
    url: '/clw/checkRegister/list',
    method: 'get',
    params: query
  })
}

// 查询年检登记详细
export function getCheckRegister (checkId) {
  return request({
    url: '/clw/checkRegister/' + checkId,
    method: 'get'
  })
}

// 新增年检登记
export function addCheckRegister (data) {
  return request({
    url: '/clw/checkRegister',
    method: 'post',
    data: data
  })
}

// 修改年检登记
export function updateCheckRegister (data) {
  return request({
    url: '/clw/checkRegister',
    method: 'put',
    data: data
  })
}

// 删除年检登记
export function delCheckRegister (checkId) {
  return request({
    url: '/clw/checkRegister/' + checkId,
    method: 'delete'
  })
}
